/* General Reset */
* { margin: 0; padding: 0; box-sizing: border-box; }
html {
  overflow-x: clip;
}

body { 
  font-family:  "Times New Roman", Times, serif; line-height: 1.6; color:#edd1bb; background: #0b1411;
  overflow-x: clip;
}

p {
  margin-bottom: 10px;
}

section {
  position: relative;
  padding-top: 1px;
}

.page-background {
}
.container { max-width: 1000px; margin: auto; padding: 2rem; padding-top: 1rem;}

#portfolio .container { padding-top: 0.5rem; padding-bottom: 0.5rem; }
h2 { text-align: center; margin-bottom: 1rem; font-size: 2rem; }

/* Header & Nav */
header { padding: 1rem 0; top: 0; z-index: 1000; box-shadow: 0 2px 5px rgba(0,0,0,0.1); max-width: 1000px; margin: auto; }

.logo { 
  margin: 1rem; padding: 1rem; border-radius: 50px; text-align: center; 
  background: #030303; font-weight: bold; font-size: 1.5rem; 
  background-image: url('../images/website-logo-light.png');
  background-size: 65%;
  background-repeat: no-repeat;
  background-position: center center;
  position: relative;
}

.logo h1 {
  position: relative;
  top: -10000px;
}

.nav-wrapper { display: flex; margin: 0 auto; width: 50%; justify-content: center; align-items: center; padding: 0 2rem;  }

nav { padding: 0 2rem; background: #030303;  border-radius: 20px; }

nav ul { display: flex; list-style: none; }
nav ul li { margin-left: 1.5rem; }
nav a { text-decoration: none; color: #edd1bb; font-weight: 1000; }

/* Founders Section */
.founders { background: linear-gradient(to bottom, transparent, rgba(5, 9, 8,0.65) 25%, rgba(5, 9, 8,0.65) 75%, transparent); margin-top: 3rem; width: 70%; border-radius: 0 0 50px 50px; position: relative; }
#about-us:after {
  content: '';
  background-image:
    linear-gradient(to bottom, #0b1411, transparent 10%, transparent 90%, #0b1411),
    linear-gradient(to right, #0b1411, transparent 5%, transparent 95%, #0b1411),
    url('../images/lilypads-bg-cropped.jpg');
  background-position: center top, center top, center top;
  
  /* Ensure they don't tile and overlap awkwardly */
  background-repeat: no-repeat, no-repeat;
  
  /* Control the size (e.g., make them span the width) */
  background-size: contain, contain, contain;

  /* The "Secret Sauce": this ensures the container 
     only grows as large as the text inside it. */
  min-height: auto;

  display: block;
  width: 100%;
  max-width: 1000px;
  height: 800px;
  position: absolute;
  top: 0px;
  z-index: -1;
}

.founders h2 { position: absolute; top: -10000px; }
.founders h3 { font-size: 1.7em; font-weight: normal; }
.founder-card { display: flex; align-items: center; gap: 2rem; margin-bottom: 4rem; min-height: 300px; position: relative; }
.founder-card.reverse { flex-direction: row-reverse; margin-top: 75px; }
.founder-img h3 { display: none; }
.founder-img img { z-index: 10; position: relative; width: 100%; max-width: 120px; border-radius: 8px; display: block; top: -5px; left: -71px; }
.founder-img { position: absolute; top: 0px;}
.founder-card.reverse .founder-img { position: absolute; top: -30px; right: 20px; }
.founder-card.reverse .founder-img img { left: 100px; top: 66px; }
.founder-img:after { content: ''; background: url('../images/tavia-frame.png'); background-repeat: no-repeat; background-size: 100%; 
  width: 150px;
  height: 380px;
  display: block;
  position: absolute;
  top: -60px;
  left: -85px;
}
.founder-card.reverse .founder-img:after {
  left: 85px;
  background: url('../images/ben-frame.png');
  background-size: 100%;
  background-repeat: no-repeat;
}

.founder-card h3 {
  text-align: center;
}

.founder-text { flex: 1; padding-left: 90px; padding-right: 20px;}
.founder-card.reverse .founder-text { flex: 1; padding-left: 20px; padding-right: 90px;}

#portfolio:after {
  content: '';
  background-image:
    linear-gradient(to bottom, #0b1411, transparent 10%, transparent 800px, #0b1411 1100px),
    linear-gradient(to right, #0b1411, transparent 5%, transparent 95%, #0b1411),
    url('../images/fern-bg.jpg');
  background-position: center top, center top, center top;
  
  /* Ensure they don't tile and overlap awkwardly */
  background-repeat: no-repeat repeat;
  
  /* Control the size (e.g., make them span the width) */
  background-size: contain, contain, contain;

  /* The "Secret Sauce": this ensures the container 
     only grows as large as the text inside it. */
  min-height: auto;

  display: block;
  max-width: 1000px;
  width: 100%;
  height: 1285px;
  position: absolute;
  top: -65px;
  z-index: -1;
}



/* Carousel */
.carousel { position: relative; width: 100%; overflow: hidden; background: rgba(6,6,4,0.75); border-radius: 20px; margin-top: 1rem; margin-bottom: 1rem;}
.carousel-inner { height: 100%; display: flex; flex-wrap: wrap; justify-content: center;}
.carousel-item { 
    display: block;
    height: 100%; align-items: center; justify-content: center; 
    margin-top: auto;
    margin-bottom: auto;
    padding: 10px;
}
.carousel .tns-controls {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  z-index: 5000;
  width: 100%;
  pointer-events: none;
}
.carousel .tns-controls button {
  pointer-events: auto;
  color: white;
  padding: 10px;
  border: none;
  cursor: pointer;

  /* Semi-transparent black background */
  background-color: rgba(0, 0, 0, 0.5); 
  
  /* Optional: adds a blurred effect */
  backdrop-filter: blur(2px);
}

.carousel .tns-controls button[data-controls=next] {
  float: right;
}

/* Contact Form */
#contact-form { display: flex; flex-direction: column; gap: 1rem; max-width: 600px; margin: auto; }
#contact-form input, #contact-form textarea { padding: 0.8rem; border: 1px solid #ccc; border-radius: 4px; }
#contact-form button { padding: 1rem; background: #333; color: #fff; border: none; cursor: pointer; border-radius: 4px; }

/* Footer */
footer { text-align: center; padding: 2rem; background: #333; color: white; margin-top: 4rem; }

/* Mobile Responsive */
@media (max-width: 768px) {
    header {
      height: auto;
      z-index: 9999;
      box-shadow: 0 2px 5px rgba(0,0,0,0.1);
      margin-left: auto;
      margin-right: auto;
    }
    
    .logo {
      border-radius: 0px;
      
    }

    #about-us:after {
      background-size: auto 75%;
    }

    #portfolio:after {
    }

    .founder-card, .founder-card.reverse { flex-direction: column; text-align: center; }
  
    .founder-card { margin-top: 1rem; margin-bottom: 1rem; }
    .founder-card.reverse { margin-top: 1rem; }

    .founder-img h3 {
      display: block;
      position: absolute;
      width: 180px;
      top: 45px;
      left: 50px;
    }

    .founder-text {
      margin-top: 0px;
      padding-left: 0px;
      padding-right: 0px;
    }

    .founder-card.reverse .founder-text {
      margin-top: 0px;
      padding-left: 0px;
      padding-right: 0px;
    }

    .founder-text h3 {
      display: none;
    }

    .nav-wrapper { flex-direction: column; gap: 1rem; padding-left: 0px; padding-right: 0px; width: 100%;}

    .container.founders {
      width: 100%;
      margin-top: 1rem;
    }

    .founder-img {
      min-height: 195px;
      position: relative;
    }

    .founder-img:after { 
      background: url('../images/tavia-frame-horizontal.png');
      background-repeat: no-repeat; 
      background-size: 100%; 
      min-width: 495px;
      left: -150px;
      top: 0px;
      height: 195px;
    }

    .founder-img img {
      left: -63px;
      top: 14px;
      max-width: 112px;
    }

    .founder-text {
    }

    .founder-card.reverse .founder-img:after { 
      background: url('../images/ben-frame-horizontal.png');
      background-repeat: no-repeat; 
      background-size: 100%; 
      min-width: 495px;
      left: -150px;
      top: 0px;
      height: 195px;
    }

    .founder-card.reverse .founder-img {
      position: relative;
      top: inherit;
      right: inherit;
    }

    .founder-card.reverse .founder-img img {
      left: -63px;
      top: 14px;
      max-width: 112px;
    }


}
